Bug 606557 - Review Request: python26-sqlalchemy - Modular and flexible ORM library for python26
Summary: Review Request: python26-sqlalchemy - Modular and flexible ORM library for py...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 23:31 UTC by BJ Dierkes
Modified: 2010-10-25 16:37 UTC (History)
3 users (show)

Fixed In Version: python26-sqlalchemy-0.6.4-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-25 16:37:06 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description BJ Dierkes 2010-06-21 23:31:19 UTC
Spec URL: http://5dollarwhitebox.org/tmp/python26-sqlalchemy.spec
SRPM URL: http://5dollarwhitebox.org/tmp/python26-sqlalchemy-0.5.8-4.fc12.src.rpm 

Description: 

SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.


Note: This package is only for EPEL 5, to accompany the python26 set.

Comment 1 Steve Traylen 2010-09-28 18:50:55 UTC
Review of python26-sqlalchemy.

PASS: specfiles match:
In fact no but python-sqlalchemy has set the precedent.

PASS: source files match upstream:
$ curl -s  http://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-0.5.8.tar.gz | md5sum -
11292211f2634151d240025d58791210  -
[steve@bottom SPECS]$ md5sum ../SOURCES/SQLAlchemy-0.5.8.tar.gz 
11292211f2634151d240025d58791210  ../SOURCES/SQLAlchemy-0.5.8.tar.gz

PASS: package meets naming and versioning guidelines.
PASS: spec is properly named, cleanly written, and uses macros consistently.
PASS: dist tag is present.
PASS: build root is correct.
PASS: license field matches the actual license.
MIT. Very clearly

PASS: license is open source-compatible.
PASS: license text included in package.
FAIL: latest version is being packaged.
PASS: BuildRequires are proper.
PASS:  compiler flags are appropriate.
PASS:  %clean is present. 
PASS: package builds in mock.
 epel5.
PASS: package installs properly.
IGNORE: debuginfo package looks complete.
FAIL: rpmlint is silent.
python26-sqlalchemy.noarch: W: incoherent-version-in-changelog 0.5.84- ['0.5.8-4.el5', '0.5.8-4']

FAIL: final provides and requires are sane
$ rpm -qp --provides python26-sqlalchemy-0.5.8-4.el5.noarch.rpm 
python26-sqlalchemy = 0.5.8-4.el5
$ rpm -qp --requires python26-sqlalchemy-0.5.8-4.el5.noarch.rpm 
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1

In particular python(abi) = 2.6 is not present.

PASS: %check is present and all tests pass:
Hopefully we can get the python-nose tests in before release.
Probably worth waiting if possible.

PASS: no shared libraries are added to the regular linker search paths.
PASS: owns the directories it creates. 
PASS: doesn't own any directories it shouldn't.
PASS: no duplicates in %files.
PASS:  file permissions are appropriate.
PASS: scriptlets match those on ScriptletSnippets page.
PASS:  code, not content.
PASS:  documentation is small, so no -docs subpackage is necessary.
PASS: %docs are not necessary for the proper functioning of the package.
IGNORE: no headers.
IGNORE: no pkgconfig files.
NONE:  no libtool .la droppings.
IGNORE: desktop files valid and installed properly.

FAILS:
1) 0.6.4 has been released recently is this a better choice.
2) The release number is missing from the changelog comment.
3) I think a python(abi) = 2.6 should be in the requires. 


COMMENTS:
CFLAGS="$RPM_OPT_FLAGS" is irrelevant on a noarch package and should
be removed.

Comment 2 BJ Dierkes 2010-09-28 19:41:45 UTC
Thank you.  I've made the requested changes:

SPEC: http://5dollarwhitebox.org/tmp/python26-sqlalchemy.spec
SRPMS: http://5dollarwhitebox.org/tmp/python26-sqlalchemy-0.6.4-1.fc13.src.rpm

Comment 3 Steve Traylen 2010-09-28 19:52:16 UTC
All seems pretty perfect to me.
Approved.

Steve.

Comment 4 BJ Dierkes 2010-09-28 20:30:51 UTC
New Package SCM Request
=======================
Package Name: python26-sqlalchemy
Short Description: Modular and flexible ORM library for python26 
Owners: derks
Branches: el5
InitialCC:

Comment 5 Kevin Fenzi 2010-09-29 18:45:09 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2010-10-04 17:06:20 UTC
python26-sqlalchemy-0.6.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-sqlalchemy-0.6.4-1.el5

Comment 7 Fedora Update System 2010-10-05 17:26:41 UTC
python26-sqlalchemy-0.6.4-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-sqlalchemy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-sqlalchemy-0.6.4-1.el5

Comment 8 Fedora Update System 2010-10-25 16:37:01 UTC
python26-sqlalchemy-0.6.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.